//URL的跳转打开一个新窗口
function OpenURL(winURL,winName,winWidth,winHeight,winBars,winClose)
{
	var objNewWin;				
	if (winWidth=="") winWidth = "790";
	if (winHeight=="") winHeight = "480";
	if (winClose=="") winClose = false;
	objNewWin = window.open(winURL,winName,"fullscreen=0,toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars="+winBars+",resizable=1,width=" + winWidth + ",height=" + winHeight + ",top=100,left=100",false,winClose);		
  if (winClose) window.close();
	objNewWin.focus();	
}

//打开模式窗口
function PopDialog(winURL,winWidth,winHeight)
{
	if (winWidth=="") winWidth = "400";
	if (winHeight=="") winHeight = "300";
	var winValue = showModalDialog(winURL,"","dialogWidth:" + winWidth + "px;status:no;dialogHeight:" + winHeight+"px");
	return winValue;
}
//打开和关闭详细资料	
function ShowDetail(obj,imgobj)
{	 
	if (document.all(obj).style.display=='none')
  {
    document.all(obj).style.display='block'; 
    document.all(imgobj).src='../image/folderopen.gif';                           
  }else{
    document.all(obj).style.display='none';          
    document.all(imgobj).src='../image/folderclose.gif';                           
  }                        
}
//选择全部checkbox
var all = 0;
function CheckAll(obj,imgobj)
{
  var i;
  //if (document.all(imgobj).src='../image/selall.gif')
  if (all == 0)
  {  
    for(i=0;i< form1.elements.length;i++)
		{
		  if (form1.elements[i].name == obj)
		    form1.elements[i].checked = true;
    }
    document.all(imgobj).src='../image/selnone.gif';
    document.all(imgobj).alt='不选';
    all = 1;
  }
  else
  {
    for(i=0;i< form1.elements.length;i++)
		{
		  if (form1.elements[i].name == obj)
		    form1.elements[i].checked = false;
    }
    document.all(imgobj).src='../image/selall.gif';
    document.all(imgobj).alt='全选';
    all = 0;
  }  
  return true;
}
tPopWait=50;tPopShow=2000;showPopStep=20;popOpacity=99;sPop=null;curShow=null;tFadeOut=null;tFadeIn=null;tFadeWaiting=null;
document.write("<style type='text/css'id='defaultPopStyle'>");
document.write(".cPopText {  background-color: #F8F8F5;color:#000000; border: 1px #000000 solid;font-color: font-size: 9pt; padding-right: 4px; padding-left: 4px; height: 18px; padding-top: 0px; padding-bottom: 0px; filter: Alpha(Opacity=0)}");
document.write("</style>");
document.write("<div id='dypopLayer' style='position:absolute;z-index:1000;' class='cPopText'></div>");
function showPopupText(){var o=event.srcElement;MouseX=event.x;MouseY=event.y;
if(o.alt!=null && o.alt!=""){o.dypop=o.alt;o.alt=""};if(o.title!=null && o.title!=""){o.dypop=o.title;o.title=""};
if(o.dypop!=sPop){sPop=o.dypop;
clearTimeout(curShow);clearTimeout(tFadeOut);clearTimeout(tFadeIn);clearTimeout(tFadeWaiting);
if(sPop==null || sPop=="") {dypopLayer.innerHTML="";dypopLayer.style.filter="Alpha()";dypopLayer.filters.Alpha.opacity=0;}
else {if(o.dyclass!=null) popStyle=o.dyclass 
else popStyle="cPopText";
curShow=setTimeout("showIt()",tPopWait);
}}}
function showIt(){dypopLayer.className=popStyle;dypopLayer.innerHTML=sPop;popWidth=dypopLayer.clientWidth;popHeight=dypopLayer.clientHeight;
if(MouseX+12+popWidth>document.body.clientWidth) popLeftAdjust=-popWidth-24
else popLeftAdjust=0;
if(MouseY+12+popHeight>document.body.clientHeight) popTopAdjust=-popHeight-24
else popTopAdjust=0;
dypopLayer.style.left=MouseX+12+document.body.scrollLeft+popLeftAdjust;dypopLayer.style.top=MouseY+12+document.body.scrollTop+popTopAdjust;dypopLayer.style.filter="Alpha(Opacity=0)";fadeOut();
}
function fadeOut(){if(dypopLayer.filters.Alpha.opacity<popOpacity) {dypopLayer.filters.Alpha.opacity+=showPopStep;tFadeOut=setTimeout("fadeOut()",1);} else {dypopLayer.filters.Alpha.opacity=popOpacity;tFadeWaiting=setTimeout("fadeIn()",tPopShow);}}
function fadeIn(){if(dypopLayer.filters.Alpha.opacity>0) {dypopLayer.filters.Alpha.opacity-=1;tFadeIn=setTimeout("fadeIn()",1);}}
document.onmouseover=showPopupText;